Subject: Re: bug#7629: 23.2; Remote X Emacsclient Frame Issue

From: Chong Yidong <[email-masked]>
Date: Tue, 21 Dec 2010 16:07:34 +0800

William Gardella <[email-masked]> writes:

> 6.  If I have already closed my remote X emacsclient, the first server
>     appears completely unresponsive and cannot be revived with, e.g.,
>     emacsclient --eval \(server-start\).  All subsequent attempts to
>     connect an emacsclient go to the new server process.

I believe this is a known problem with GTK builds of Emacs.  GTK cannot
handle disconnections gracefully; see etc/PROBLEMS.  In the current
pretest (which will be 23.3), Emacs will handle this by aborting if the
X connection closes.